FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2023 PLD Team
$Revision: 1.37 $
Powered by Paranoid Android.
Your IP: 3.235.186.94

php-pecl-zstd b126fb42-3735-49eb-8365-ac1e39b594a3

Status:Failed
Source URL:https://buildlogs.pld-linux.org/pld/th/x86_64/FAIL/php-pecl-zstd,b126fb42-3735-49eb-8365-ac1e39b594a3.bz2
text/plain URL:View!
full text:View!
rpm -qa of builder:View!
Date:2022/10/20 16:43:21
Runtime:0:00:07.635453

Toc:

  • error 1
  • rpm: error: Failed build dependencies:
  • error 2
  • rpm: error: Failed build dependencies:
  • error 3
  • rpm: error: Failed build dependencies:
  • prep
  • Executing(%prep): /bin/sh -e /tmp/B.m0yl3xtu/BUILD/tmp/rpm-tmp.tkCwwe
  • build
  • Executing(%build): /bin/sh -e /tmp/B.m0yl3xtu/BUILD/tmp/rpm-tmp.05Q4OZ
  • error 4
  • error: Bad exit status from /tmp/B.m0yl3xtu/BUILD/tmp/rpm-tmp.05Q4OZ (%build)
  • error 5
  • RPM build errors:
  • error 6
  • error: No files produced.

Content:

checking if we should skip the build
started at: Thu Oct 20 16:42:57 2022
killing old processes on a builder
sending signal 9 to pid -1
cleaning up /tmp
fetching https://srcbuilder.pld-linux.org/th//srpms/b126fb42-3735-49eb-8365-ac1e39b594a3/php71-pecl-zstd-0.11.0-1.src.rpm
fetched 367961 bytes, 1072.8 K/s
installing srpm: php71-pecl-zstd-0.11.0-1.src.rpm
+ install -d /tmp/B.m0yl3xtu/BUILD /tmp/B.m0yl3xtu/RPMS
+ LC_ALL=en_US.UTF-8
+ rpm -qp --changelog php71-pecl-zstd-0.11.0-1.src.rpm
* Thu Oct 20 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-zstd.git;a=log;h=auto/th/php-pecl-zstd-0.11.0-1
* Thu Oct 20 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> becdb3f
- Up to 0.11.0. * Sun Jan 03 2021 Elan Ruusamäe <glen@pld-linux.org> 9a6fa29
- One more reference * Sun Jan 03 2021 Elan Ruusamäe <glen@pld-linux.org> 9b6fcb8
- The php8 difference fixed identically at upstream: * Sun Jan 03 2021 Elan Ruusamäe <glen@pld-linux.org> e3fc40e
- Update php8 argument/parameter difference * Sun Jan 03 2021 Elan Ruusamäe <glen@pld-linux.org> 732aa0a
- Up to 0.9.0 * Fri Mar 20 2020 Elan Ruusamäe <glen@pld-linux.org> d9f32f4
- XFAIL tests failing on x32 * Thu Mar 19 2020 Elan Ruusamäe <glen@pld-linux.org> 720a779
- Disable online tests for pld-builders * Thu Mar 19 2020 Elan Ruusamäe <glen@pld-linux.org> 043b5a6
- Add tests_online bcond * Thu Mar 19 2020 Elan Ruusamäe <glen@pld-linux.org> 2c573e8
- Include openssl ext for testing * Mon Mar 16 2020 Elan Ruusamäe <glen@pld-linux.org> eaab609
- Skip tests/008.phpt test * Tue Mar 17 2020 Elan Ruusamäe <glen@pld-linux.org> b2a7960
- tests/streams_6.php requires openssl for https stream * Mon Mar 16 2020 Elan Ruusamäe <glen@pld-linux.org> 36ee533
- Run unit tests * Mon Mar 16 2020 Elan Ruusamäe <glen@pld-linux.org> f13d719
- Skip -devel package * Mon Mar 16 2020 Elan Ruusamäe <glen@pld-linux.org> c66b7e5
- Build using system zstd-devel * Mon Mar 16 2020 Elan Ruusamäe <glen@pld-linux.org> 260423e
- New, version 0.8.0 + rpm -Uhv --nodeps --define '_topdir /tmp/B.m0yl3xtu' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --define 'php_suffix 71' php71-pecl-zstd-0.11.0-1.src.rpm Updating / installing... php71-pecl-zstd-0.11.0-1 ######################################## + rm -f php71-pecl-zstd-0.11.0-1.src.rpm + install -m 700 -d /tmp/B.m0yl3xtu/BUILD/tmp + TMPDIR=/tmp/B.m0yl3xtu/BUILD/tmp + exec nice -n 0 rpmbuild -bp --short-circuit --nodeps --define '_topdir /tmp/B.m0yl3xtu' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux --define 'php_suffix 71' --define 'prep exit 0' /tmp/B.m0yl3xtu/php-pecl-zstd.spec warning: %changelog not in descending chronological order warning: Could not canonicalize hostname: ymir Building target platforms: x86_64-pld-linux Building for target x86_64-pld-linux RPM build warnings: %changelog not in descending chronological order Could not canonicalize hostname: ymir checking BuildConflict-ing packages rpm: warning: %changelog not in descending chronological order rpm: warning: Could not canonicalize hostname: ymir rpm: error: Failed build dependencies: rpm: php71-cli is needed by php71-pecl-zstd-0.11.0-1.x86_64 rpm: php71-devel is needed by php71-pecl-zstd-0.11.0-1.x86_64 rpm: php71-openssl is needed by php71-pecl-zstd-0.11.0-1.x86_64 rpm: php71-pcre is needed by php71-pecl-zstd-0.11.0-1.x86_64 rpm: Building target platforms: x86_64-pld-linux rpm: Building for target x86_64-pld-linux rpm: rpm: RPM build warnings: rpm: %changelog not in descending chronological order rpm: Could not canonicalize hostname: ymir no BuildConflicts found checking BR rpm: warning: %changelog not in descending chronological order rpm: warning: Could not canonicalize hostname: ymir rpm: error: Failed build dependencies: rpm: php71-cli is needed by php71-pecl-zstd-0.11.0-1.x86_64 rpm: php71-devel is needed by php71-pecl-zstd-0.11.0-1.x86_64 rpm: php71-openssl is needed by php71-pecl-zstd-0.11.0-1.x86_64 rpm: php71-pcre is needed by php71-pecl-zstd-0.11.0-1.x86_64 rpm: Building target platforms: x86_64-pld-linux rpm: Building for target x86_64-pld-linux rpm: rpm: RPM build warnings: rpm: %changelog not in descending chronological order rpm: Could not canonicalize hostname: ymir updating poldek cache... ready is up to date th is up to date th is up to date th-ready is up to date th-ready is up to date th-test is up to date th-test is up to date checking conflicting packages in BRed packages poldek: Loading [pndir]ready... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th... poldek: Loading [pndir]th... poldek: 35492 packages read poldek: Removed 5440 duplicate packages from available set poldek: Processing dependencies... poldek: php71-pcre-7.1.33-11.x86_64 marks php71-common-7.1.33-11.x86_64 (cap php71-common = 4:7.1.33-11) poldek: php70-devel-7.0.33-15.x86_64 obsoleted by php71-devel-7.1.33-11.x86_64 poldek: There are 5 packages to install (1 marked by dependencies), 1 to remove: poldek: A php71-cli-7.1.33-11.x86_64 php71-common-7.1.33-11.x86_64 poldek: A php71-devel-7.1.33-11.x86_64 php71-openssl-7.1.33-11.x86_64 poldek: A php71-pcre-7.1.33-11.x86_64 poldek: R php70-devel-7.0.33-15.x86_64 poldek: This operation will use 4.8MB of disk space. poldek: Need to get 1.7MB of archives (1.7MB to download). poldek: poldek: Retrieving [1/5] th-test::php71-common-7.1.33-11.x86_64.rpm................................done poldek: Retrieving [2/5] th-test::php71-cli-7.1.33-11.x86_64.rpm...................................done poldek: Retrieving [3/5] th-test::php71-devel-7.1.33-11.x86_64.rpm.................................done poldek: Retrieving [4/5] th-test::php71-openssl-7.1.33-11.x86_64.rpm...............................done poldek: Retrieving [5/5] th-test::php71-pcre-7.1.33-11.x86_64.rpm..................................done poldek: php71-common-7.1.33-11.x86_64.rpm: digests OK poldek: php71-cli-7.1.33-11.x86_64.rpm: digests OK poldek: php71-devel-7.1.33-11.x86_64.rpm: digests OK poldek: php71-openssl-7.1.33-11.x86_64.rpm: digests OK poldek: php71-pcre-7.1.33-11.x86_64.rpm: digests OK poldek: Executing pm-command.sh --upgrade -vh --test --root / --define _check_dirname_deps 0... poldek: warning: /root/.cache/poldek/ftp_ep09.pld-linux.org.dists.th.test.x86.64.RPMS/php71-common-7.1.33-11.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID e4f1bc2d: NOKEY poldek: Verifying... ######################################## poldek: Preparing... ######################################## no conflicts found checking BR rpm: warning: %changelog not in descending chronological order rpm: warning: Could not canonicalize hostname: ymir rpm: error: Failed build dependencies: rpm: php71-cli is needed by php71-pecl-zstd-0.11.0-1.x86_64 rpm: php71-devel is needed by php71-pecl-zstd-0.11.0-1.x86_64 rpm: php71-openssl is needed by php71-pecl-zstd-0.11.0-1.x86_64 rpm: php71-pcre is needed by php71-pecl-zstd-0.11.0-1.x86_64 rpm: Building target platforms: x86_64-pld-linux rpm: Building for target x86_64-pld-linux rpm: rpm: RPM build warnings: rpm: %changelog not in descending chronological order rpm: Could not canonicalize hostname: ymir installing BR: php71\-cli php71\-devel php71\-openssl php71\-pcre + poldek --noask --caplookup -Q -v '--ignore=hhvm-*' '--ignore=php4-*' '--ignore=php52-*' '--ignore=php53-*' '--ignore=php54-*' '--ignore=php55-*' '--ignore=php56-*' '--ignore=php70-*' '--ignore=php72-*' '--ignore=php73-*' '--ignore=php74-*' '--ignore=php80-*' '--ignore=php81-*' '--ignore=php82-*' --upgrade php71-cli php71-devel php71-openssl php71-pcre Loading [pndir]ready... Loading [pndir]th-test... Loading [pndir]th-test... Loading [pndir]th-ready... Loading [pndir]th-ready... Loading [pndir]th... Loading [pndir]th... 35492 packages read Removed 5440 duplicate packages from available set Processing dependencies... php71-pcre-7.1.33-11.x86_64 marks php71-common-7.1.33-11.x86_64 (cap php71-common = 4:7.1.33-11) php70-devel-7.0.33-15.x86_64 obsoleted by php71-devel-7.1.33-11.x86_64 There are 5 packages to install (1 marked by dependencies), 1 to remove: A php71-cli-7.1.33-11.x86_64 php71-common-7.1.33-11.x86_64 A php71-devel-7.1.33-11.x86_64 php71-openssl-7.1.33-11.x86_64 A php71-pcre-7.1.33-11.x86_64 R php70-devel-7.0.33-15.x86_64 This operation will use 4.8MB of disk space. php71-pcre-7.1.33-11.x86_64.rpm: digests OK php71-cli-7.1.33-11.x86_64.rpm: digests OK php71-devel-7.1.33-11.x86_64.rpm: digests OK php71-openssl-7.1.33-11.x86_64.rpm: digests OK php71-common-7.1.33-11.x86_64.rpm: digests OK Need to get 1.7MB of archives. php71-common-7.1.33-11.x86_64.rpm: digests OK php71-cli-7.1.33-11.x86_64.rpm: digests OK php71-devel-7.1.33-11.x86_64.rpm: digests OK php71-openssl-7.1.33-11.x86_64.rpm: digests OK php71-pcre-7.1.33-11.x86_64.rpm: digests OK Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 0... warning: /root/.cache/poldek/ftp_ep09.pld-linux.org.dists.th.test.x86.64.RPMS/php71-common-7.1.33-11.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID e4f1bc2d: NOKEY Verifying... ######################################## Preparing... ######################################## Updating / installing... php71-common-4:7.1.33-11 ######################################## php71-cli-4:7.1.33-11 ######################################## php71-devel-4:7.1.33-11 ######################################## php71-openssl-4:7.1.33-11 ######################################## php71-pcre-4:7.1.33-11 ######################################## Cleaning up / removing... php70-devel-4:7.0.33-15 ######################################## building RPM using: set -ex; : build-id: b126fb42-3735-49eb-8365-ac1e39b594a3; TMPDIR=/tmp/B.m0yl3xtu/BUILD/tmp exec nice -n 0 rpmbuild -bb --define '__jobs 28' --define '_smp_mflags -j28' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.m0yl3xtu' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux --define 'php_suffix 71' /tmp/B.m0yl3xtu/php-pecl-zstd.spec + : build-id: b126fb42-3735-49eb-8365-ac1e39b594a3 + TMPDIR=/tmp/B.m0yl3xtu/BUILD/tmp + exec nice -n 0 rpmbuild -bb --define '__jobs 28' --define '_smp_mflags -j28' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.m0yl3xtu' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux --define 'php_suffix 71' /tmp/B.m0yl3xtu/php-pecl-zstd.spec warning: %changelog not in descending chronological order warning: Could not canonicalize hostname: ymir Building target platforms: x86_64-pld-linux Building for target x86_64-pld-linux Executing(%prep): /bin/sh -e /tmp/B.m0yl3xtu/BUILD/tmp/rpm-tmp.tkCwwe + umask 022 + cd /tmp/B.m0yl3xtu/BUILD + cd /tmp/B.m0yl3xtu/BUILD + rm -rf php71-pecl-zstd-0.11.0 + /bin/mkdir -p php71-pecl-zstd-0.11.0 + cd php71-pecl-zstd-0.11.0 + /bin/gzip -dc /tmp/B.m0yl3xtu/zstd-0.11.0.tgz + /bin/tar -xof - + STATUS=0 + '[' 0 -ne 0 ']' + /bin/chmod -Rf a+rX,u+w,g-w,o-w . + mv zstd-0.11.0/LICENSE zstd-0.11.0/README.md zstd-0.11.0/config.m4 zstd-0.11.0/config.w32 zstd-0.11.0/php_zstd.h zstd-0.11.0/tests zstd-0.11.0/zstd zstd-0.11.0/zstd.c . + rm -r zstd + <<"EOF" #!/bin/sh export NO_INTERACTION=1 REPORT_EXIT_STATUS=1 MALLOC_CHECK_=2 exec /usr/bin/make -Otarget -j28 test \ PHP_EXECUTABLE=/usr/bin/php71 \ PHP_TEST_SHARED_SYSTEM_EXTENSIONS="openssl" \ RUN_TESTS_SETTINGS="-q $*" EOF + >run-tests.sh + cat + chmod +x run-tests.sh + <<"EOF" zstd_compress(): compress level [tests/008.phpt] EOF + read line + t='tests/008.phpt]' + t=tests/008.phpt + xfail tests/008.phpt + typeset 't=tests/008.phpt' + test -f tests/008.phpt + >>tests/008.phpt + <<-EOF --XFAIL-- Skip EOF + cat + read line + RPM_EC=0 + jobs -p + exit 0 Executing(%build): /bin/sh -e /tmp/B.m0yl3xtu/BUILD/tmp/rpm-tmp.05Q4OZ TMP=/home/users/builder/tmp HOME=/home/users/builder PATH=/home/users/builder/GNUstep/Tools:/bin:/usr/bin:/usr/local/bin:/home/users/builder/bin TMPDIR=/tmp/B.m0yl3xtu/BUILD/tmp + umask 022 + cd /tmp/B.m0yl3xtu/BUILD + cd php71-pecl-zstd-0.11.0 + phpize Configuring for: PHP Api Version: 20160303 Zend Module Api No: 20160303 Zend Extension Api No: 320160303 configure.in:7: warning: The macro `LT_AC_PROG_SED' is obsolete. configure.in:7: You should run autoupdate. aclocal.m4:11526: LT_AC_PROG_SED is expanded from... aclocal.m4:2734: PHP_CONFIG_NICE is expanded from... configure.in:7: the top level configure.in:7: warning: $as_echo is obsolete; use AS_ECHO(["message"]) instead aclocal.m4:2734: PHP_CONFIG_NICE is expanded from... configure.in:7: the top level configure.in:34: warning: The macro `AC_TRY_LINK' is obsolete. configure.in:34: You should run autoupdate. ./lib/autoconf/general.m4:2920: AC_TRY_LINK is expanded from... lib/m4sugar/m4sh.m4:692: _AS_IF_ELSE is expanded from... lib/m4sugar/m4sh.m4:699: AS_IF is expanded from... ./lib/autoconf/general.m4:2249: AC_CACHE_VAL is expanded from... aclocal.m4:301: PHP_RUNPATH_SWITCH is expanded from... configure.in:34: the top level configure.in:149: warning: The macro `AC_PROG_LIBTOOL' is obsolete. configure.in:149: You should run autoupdate. aclocal.m4:3287: AC_PROG_LIBTOOL is expanded from... configure.in:149: the top level configure.in:199: warning: The macro `AC_CONFIG_HEADER' is obsolete. configure.in:199: You should run autoupdate. ./lib/autoconf/status.m4:719: AC_CONFIG_HEADER is expanded from... configure.in:199: the top level autoheader: warning: autoconf input should be named 'configure.ac', not 'configure.in' + ./configure 'LDFLAGS=-Wl,--as-needed -Wl,--no-copy-dt-needed-entries -Wl,-z,relro -Wl,-z,combreloc ' 'CFLAGS=-O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -march=x86-64 -mtune=generic -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 ' 'CXXFLAGS=-O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -march=x86-64 -mtune=generic -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 ' 'FFLAGS=-O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -march=x86-64 -mtune=generic -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 ' 'FCFLAGS=-O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -march=x86-64 -mtune=generic -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 ' 'CPPFLAGS=' 'CC=x86_64-pld-linux-gcc' 'CXX=x86_64-pld-linux-g++' '--host=x86_64-pld-linux' '--build=x86_64-pld-linux' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib64' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--x-libraries=/usr/lib64' --with-libzstd checking for grep that handles long lines and -e... /bin/grep checking for egrep... /bin/grep -E checking for a sed that does not truncate output... /bin/sed checking for x86_64-pld-linux-cc... x86_64-pld-linux-gcc checking whether the C compiler works... yes checking for C compiler default output file name... a.out checking for suffix of executables... checking whether we are cross compiling... no checking for suffix of object files... o checking whether the compiler supports GNU C... yes checking whether x86_64-pld-linux-gcc accepts -g... yes checking for x86_64-pld-linux-gcc option to enable C11 features... none needed checking how to run the C preprocessor... x86_64-pld-linux-gcc -E checking for icc... no checking for suncc... no checking whether x86_64-pld-linux-gcc and cc understand -c and -o together... yes checking for system library directory... lib checking if compiler supports -R... yes checking build system type... x86_64-pld-linux-gnu checking host system type... x86_64-pld-linux-gnu checking target system type... x86_64-pld-linux-gnu checking for PHP prefix... /usr checking for PHP includes... -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib checking for PHP extension directory... /usr/lib64/php71 checking for PHP installed headers prefix... /usr/include/php checking if debug is enabled... no checking if zts is enabled... no checking for re2c... re2c checking for re2c version... 1.2 (ok) checking for gawk... gawk checking PHP version... 7.1.33 checking whether to enable zstd support... yes, shared checking whether to use system zstd library... yes checking for pkg-config... /usr/bin/pkg-config checking for libzstd... from pkgconfig: version 1.5.2 checking for APCu includes... not found checking whether to enable coverage support... no checking how to print strings... print -r checking for a sed that does not truncate output... (cached) /bin/sed checking for fgrep... /bin/grep -F checking for ld used by x86_64-pld-linux-gcc... /usr/bin/ld checking if the linker (/usr/bin/ld) is GNU ld... yes checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B checking the name lister (/usr/bin/nm -B) interface... BSD nm checking whether ln -s works... yes checking the maximum length of command line arguments... 1572864 checking how to convert x86_64-pld-linux-gnu file names to x86_64-pld-linux-gnu format... func_convert_file_noop checking how to convert x86_64-pld-linux-gnu file names to toolchain format... func_convert_file_noop checking for /usr/bin/ld option to reload object files... -r checking for x86_64-pld-linux-file... no checking for file... file checking for x86_64-pld-linux-objdump... no checking for objdump... objdump checking how to recognize dependent libraries... pass_all checking for x86_64-pld-linux-dlltool... no checking for dlltool... no checking how to associate runtime and link libraries... print -r -- checking for x86_64-pld-linux-ar... no checking for ar... ar checking for archiver @FILE support... @ checking for x86_64-pld-linux-strip... no checking for strip... strip checking for x86_64-pld-linux-ranlib... no checking for ranlib... ranlib checking for mawk... (cached) gawk checking command to parse /usr/bin/nm -B output from x86_64-pld-linux-gcc object... ok checking for sysroot... no checking for a working dd... /bin/dd checking how to truncate binary pipes... /bin/dd bs=4096 count=1 checking for x86_64-pld-linux-mt... no checking for mt... no checking if : is a manifest tool... no checking for stdio.h... yes checking for stdlib.h... yes checking for string.h... yes checking for inttypes.h... yes checking for stdint.h... yes checking for strings.h... yes checking for sys/stat.h... yes checking for sys/types.h... yes checking for unistd.h... yes checking for dlfcn.h... yes checking for objdir... .libs checking if x86_64-pld-linux-gcc supports -fno-rtti -fno-exceptions... no checking for x86_64-pld-linux-gcc option to produce PIC... -fPIC -DPIC checking if x86_64-pld-linux-gcc PIC flag -fPIC -DPIC works... yes checking if x86_64-pld-linux-gcc static flag -static works... yes checking if x86_64-pld-linux-gcc supports -c -o file.o... yes checking if x86_64-pld-linux-gcc supports -c -o file.o... (cached) yes checking whether the x86_64-pld-linux-gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes checking whether -lc should be explicitly linked in... no checking dynamic linker characteristics... GNU/Linux ld.so checking how to hardcode library paths into programs... immediate checking whether stripping libraries is possible... yes checking if libtool supports shared libraries... yes checking whether to build shared libraries... yes checking whether to build static libraries... no configure: creating ./config.status config.status: creating config.h config.status: executing libtool commands + /usr/bin/make -Otarget -j28 /bin/sh /tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/libtool --mode=compile x86_64-pld-linux-gcc -I. -I/tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0 -DPHP_ATOM_INC -I/tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/include -I/tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/main -I/tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0 -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib -DHAVE_CONFIG_H -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -march=x86-64 -mtune=generic -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -c /tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/zstd.c -o zstd.lo libtool: compile: x86_64-pld-linux-gcc -I. -I/tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0 -DPHP_ATOM_INC -I/tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/include -I/tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/main -I/tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0 -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib -DHAVE_CONFIG_H -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -march=x86-64 -mtune=generic -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -c /tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/zstd.c -fPIC -DPIC -o .libs/zstd.o /bin/sh /tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/libtool --mode=link x86_64-pld-linux-gcc -DPHP_ATOM_INC -I/tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/include -I/tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/main -I/tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0 -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib -DHAVE_CONFIG_H -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -march=x86-64 -mtune=generic -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wl,--as-needed -Wl,--no-copy-dt-needed-entries -Wl,-z,relro -Wl,-z,combreloc -o zstd.la -export-dynamic -avoid-version -prefer-pic -module -rpath /tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/modules zstd.lo -lzstd libtool: link: x86_64-pld-linux-gcc -shared -fPIC -DPIC -O2 -gdwarf-4 -g2 -fstack-protector-strong -march=x86-64 -mtune=generic -gdwarf-4 -g2 -Wl,--as-needed -Wl,--no-copy-dt-needed-entries -Wl,-z -Wl,relro -Wl,-z -Wl,combreloc .libs/zstd.o -lzstd -Wl,-soname -Wl,zstd.so -o .libs/zstd.so libtool: link: ( cd ".libs" && rm -f "zstd.la" && ln -s "../zstd.la" "zstd.la" ) /bin/sh /tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/libtool --mode=install cp ./zstd.la /tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/modules libtool: install: cp ./.libs/zstd.so /tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/modules/zstd.so libtool: install: cp ./.libs/zstd.lai /tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/modules/zstd.la libtool: finish: PATH="/home/users/builder/GNUstep/Tools:/bin:/usr/bin:/usr/local/bin:/home/users/builder/bin:/sbin" ldconfig -n /tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/modules ---------------------------------------------------------------------- Libraries have been installed in: /tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/modules If you ever happen to want to link against installed libraries in a given directory, LIBDIR, you must either use libtool, and specify the full pathname of the library, or use the '-LLIBDIR' flag during linking and do at least one of the following: - add LIBDIR to the 'LD_LIBRARY_PATH' environment variable during execution - add LIBDIR to the 'LD_RUN_PATH' environment variable during linking - use the '-Wl,-rpath -Wl,LIBDIR' linker flag - have your system administrator add LIBDIR to '/etc/ld.so.conf' See any operating system documentation about shared libraries for more information, such as the ld(1) and ld.so(8) manual pages. ---------------------------------------------------------------------- Build complete. Don't forget to run 'make test'. + >modules.log + /usr/bin/php71 -n -q -d 'extension_dir=modules' -d 'extension=zstd.so' -m + grep zstd modules.log zstd + SKIP_ONLINE_TESTS=1 ./run-tests.sh --show-diff Build complete. Don't forget to run 'make test'. ===================================================================== PHP : /usr/bin/php71 PHP_SAPI : cli PHP_VERSION : 7.1.33 ZEND_VERSION: 3.1.0 PHP_OS : Linux - Linux ymir 5.15.71-1 #1 SMP Sun Oct 2 21:30:08 CEST 2022 x86_64 INI actual : /tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/tmp-php.ini More .INIs : CWD : /tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0 Extra dirs : VALGRIND : Not used ===================================================================== TIME START 2022-10-20 16:43:19 ===================================================================== TEST 1/26 [tests/001.phpt] PASS zstd_compress(): basic functionality [tests/001.phpt] TEST 2/26 [tests/002.phpt] PASS zstd_compress(): error conditions [tests/002.phpt] TEST 3/26 [tests/002_b.phpt] SKIP zstd_compress(): error conditions [tests/002_b.phpt] reason: requires PHP 8.0+ TEST 4/26 [tests/003.phpt] PASS zstd_compress(): variation [tests/003.phpt] TEST 5/26 [tests/004.phpt] PASS zstd_uncompress(): basic functionality [tests/004.phpt] TEST 6/26 [tests/005.phpt] PASS zstd_uncompress(): error conditions [tests/005.phpt] TEST 7/26 [tests/005_b.phpt] SKIP zstd_uncompress(): error conditions [tests/005_b.phpt] reason: requires PHP 8.0+ TEST 8/26 [tests/006.phpt] PASS unexpected exiting when uncompress the wrong format data [tests/006.phpt] TEST 9/26 [tests/007.phpt] PASS namespace: Zstd\compress()/uncompress() [tests/007.phpt] TEST 10/26 [tests/008.phpt] SKIP zstd_compress(): compress level [tests/008.phpt] reason: needs libzstd 1.3.3 or older TEST 11/26 [tests/009.phpt] PASS zstd_compress(): compress level [tests/009.phpt] TEST 12/26 [tests/010.phpt] PASS zstd_uncompress(): streaming archive [tests/010.phpt] TEST 13/26 [tests/011.phpt] PASS compress level constants [tests/011.phpt] TEST 14/26 [tests/alias.phpt] PASS alias functionality [tests/alias.phpt] TEST 15/26 [tests/apcu_serializer.phpt] SKIP APCu serializer registration [tests/apcu_serializer.phpt] reason: need apcu TEST 16/26 [tests/dictionary.phpt] PASS zstd_compress_dict(): basic functionality [tests/dictionary.phpt] TEST 17/26 [tests/dictionary_01.phpt] PASS zstd_compress_dict(): compress level [tests/dictionary_01.phpt] TEST 18/26 [tests/info.phpt] PASS phpinfo() displays zstd info [tests/info.phpt] TEST 19/26 [tests/streams_1.phpt] PASS compress.zstd streams basic [tests/streams_1.phpt] TEST 20/26 [tests/streams_2.phpt] PASS compress.zstd streams and compatibility [tests/streams_2.phpt] TEST 21/26 [tests/streams_3.phpt] PASS compress.zstd streams and big file [tests/streams_3.phpt] TEST 22/26 [tests/streams_4.phpt] PASS compress.zstd streams with file functions [tests/streams_4.phpt] TEST 23/26 [tests/streams_5.phpt] PASS compress.zstd streams with dictionary [tests/streams_5.phpt] TEST 24/26 [tests/streams_6.phpt] ========DIFF======== 001+ Warning: readfile(): php_network_getaddresses: getaddrinfo failed: Temporary failure in name resolution in /tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/tests/streams_6.php on line 2 002+ 003+ Warning: readfile(https://github.com/kjdev/php-ext-zstd/raw/master/tests/streaming.zst): failed to open stream: php_network_getaddresses: getaddrinfo failed: Temporary failure in name resolution in /tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/tests/streams_6.php on line 2 004+ 005+ Warning: readfile(compress.zstd://https://github.com/kjdev/php-ext-zstd/raw/master/tests/streaming.zst): failed to open stream: operation failed in /tmp/B.m0yl3xtu/BUILD/php71-pecl-zstd-0.11.0/tests/streams_6.php on line 2 006+ 001- X ========DONE======== FAIL compress.zstd read online stream [tests/streams_6.phpt] TEST 25/26 [tests/streams_7.phpt] PASS compress.zstd read online stream denied [tests/streams_7.phpt] TEST 26/26 [tests/streams_8.phpt] PASS compress.zstd use include_path [tests/streams_8.phpt] ===================================================================== TIME END 2022-10-20 16:43:20 ===================================================================== TEST RESULT SUMMARY --------------------------------------------------------------------- Exts skipped : 0 Exts tested : 7 --------------------------------------------------------------------- Number of tests : 26 22 Tests skipped : 4 ( 15.4%) -------- Tests warned : 0 ( 0.0%) ( 0.0%) Tests failed : 1 ( 3.8%) ( 4.5%) Expected fail : 0 ( 0.0%) ( 0.0%) Tests passed : 21 ( 80.8%) ( 95.5%) --------------------------------------------------------------------- Time taken : 1 seconds ===================================================================== ===================================================================== FAILED TEST SUMMARY --------------------------------------------------------------------- compress.zstd read online stream [tests/streams_6.phpt] ===================================================================== make: *** [Makefile:151: test] Error 1 error: Bad exit status from /tmp/B.m0yl3xtu/BUILD/tmp/rpm-tmp.05Q4OZ (%build) RPM build warnings: %changelog not in descending chronological order Could not canonicalize hostname: ymir RPM build errors: Bad exit status from /tmp/B.m0yl3xtu/BUILD/tmp/rpm-tmp.05Q4OZ (%build) ended at: Thu Oct 20 16:43:20 2022, done in 0:00:07.635453 error: No files produced. + chmod -R u+rwX /tmp/B.m0yl3xtu/BUILD + rm -rf /tmp/B.m0yl3xtu/tmp /tmp/B.m0yl3xtu/BUILD + rm -rf /tmp/B.m0yl3xtu Begin-PLD-Builder-Info Build-Time: user:13.56s sys:6.53s real:23.95s (faults io:25 non-io:1185804) End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]